# Uses of Interface
org.apache.zookeeper.metrics.MetricsContext

Packages that use MetricsContext
Package
Description
org.apache.zookeeper.metrics
org.apache.zookeeper.metrics.impl

## Uses of MetricsContext in org.apache.zookeeper.metrics

Methods in org.apache.zookeeper.metrics that return MetricsContext
Modifier and Type
Method
Description
`MetricsContext`
MetricsContext.`getContext(String name)`
Returns a sub context.
`MetricsContext`
MetricsProvider.`getRootContext()`
Provides access to the root context.

## Uses of MetricsContext in org.apache.zookeeper.metrics.impl

Classes in org.apache.zookeeper.metrics.impl that implement MetricsContext
Modifier and Type
Class
Description
`static final class`
`NullMetricsProvider.NullMetricsContext`
Methods in org.apache.zookeeper.metrics.impl that return MetricsContext
Modifier and Type
Method
Description
`MetricsContext`
NullMetricsProvider.NullMetricsContext.`getContext(String name)`
`MetricsContext`
DefaultMetricsProvider.`getRootContext()`
`MetricsContext`
NullMetricsProvider.`getRootContext()`